v1.0.0
OpenAPI 3.1.0

Update a file asset

US region

Client Libraries

Update a file asset

Updates the name and/or parent folder of a file asset. The file itself (path, size) cannot be changed. At least one of name or parent_folder_id must be provided.

Path Parameters
  • id
    Type: integer
    min:  
    1
    required

    The unique identifier of the resource.

Body
required
application/json
  • name
    Type: string
    min length:  
    1

    New display name for the asset. Cannot be blank after trimming.

  • parent_folder_id
    Type: integer | null

    The ID of the new parent folder. Set to null to move the asset to the root level.

Responses
  • 204

    File asset updated successfully.

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/v1/assets/files/{id}
curl https://api.customer.io/v1/assets/files/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "",
  "parent_folder_id": null
}'
No Body